function [mu,sigma,mix_perc] = est_MOGE (statistics)
tol = 1e-3;
max_iter = 500;
statistics(isnan(statistics)) = 1;
data = log(statistics(:)); 
data = data(not(isinf(data)|isnan(data)));                     
[alpha, v1, mu2, v2] = EM_gauss(data, tol , max_iter); 
mu= [mu2 ; 0];   
sigma = sqrt([v2; v1]);
mix_perc = [1-alpha;alpha];
return